.login-div {
  margin-top: 10%;
}

.login-div input::placeholder {
  font-size: 14px; 
  text-transform: uppercase;
  font-weight: bold; 
}

.login-div input[type="text"],
.login-div input[type="password"],
.login-div input[type="date"],
.login-div button[type="submit"] {
  padding: 8px 15px; 
  margin-bottom: 10px;
  border: 1px solid #000000;
  border-radius: 4px;
  width: 100%; 
  max-width: 300px; 
}

.login-div button[type="submit"] {
  padding: 8px 15px; 
  background-color: #ff5722; 
  color: #fff;
  border-style: groove;
  border-color: transparent;
  border-radius: 6px;
  cursor: pointer;
  margin: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.4);
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
  text-transform: uppercase;
  font-weight: bold;
  font-size: 15px;
}

.login-div button[type="submit"]:hover {
  background-color: #a03106cb;
}

.login-div input[type="date"] {
  font-size: 14px;
}

.login-div input[type="date"]::-webkit-inner-spin-button,
.login-div input[type="date"]::-webkit-calendar-picker-indicator {
  display: none;
}

/* Responsive adjustments */
@media (max-width: 768px) {
  .login-div input[type="text"],
  .login-div input[type="password"],
  .login-div input[type="date"],
  .login-div button[type="submit"] {
    max-width: 250px; 
    font-size:10px;
  }
}

@media (max-width: 576px) {
  .login-div input[type="text"],
  .login-div input[type="password"],
  .login-div input[type="date"],
  .login-div button[type="submit"] {
    max-width: 200px;
  }
}

.login-container {
  background-color: transparent;
  padding: 20px;
  border-style: groove;
  border-color: white;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s ease;
}

.login-container:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.login-div input[type="date"]::after {
  content: "\25BC"; 
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  color: #666;
  pointer-events: none;
}

.login-div input[type="date"]:hover::after {
  color: #333;
}

.register-link {
  margin-top: 20px;
  text-align: center;
  font-size: 18px;
  color: white;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
}

.register-link a {
  text-shadow: 2px 2px 4px rgb(75, 57, 57);
  color: #78b5fa;
  font-size: 20px;
  text-decoration: none;
  font-weight: bold;
}

.register-link a:hover {
  text-decoration: underline;
}

.logout-button {
  background-color: #a08e72;
  color: #fff;
}

.register-container {
  background-color: transparent;
  padding-right: 50px;
  padding-left: 50px;
  margin-top: 100px;
  border-style: groove;
  border-color: white;
  border-radius: 4px;
  width: 500px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s ease;
}

.error {
  color: #ffffff;
  font-size: 16px;
  margin-top: 5px;
  display: block;
  font-weight: bold;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5), -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.error-message {
  color: #ff0000;
  font-size: 18px;
  margin-top: 20px;
  text-align: center;
  background-color: rgba(255, 0, 0, 0.1);
  padding: 10px;
  border: 1px solid #ff0000;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(255, 0, 0, 0.2);
  max-width: 300px;
  margin: 20px auto;
}




